xine-lib: xine-lib-1.2.12/src/post/goom/goom_filters.h File Reference

xine-lib 1.2.12

Data Structures | Macros | Functions
goom_filters.h File Reference
`#include "goom_config.h"`
`#include "goom_typedefs.h"`
`#include "goom_visual_fx.h"`
`#include "goom_graphic.h"`

Go to the source code of this file.

## Data Structures
struct | _ZOOM_FILTER_DATA

## Macros
#define | NORMAL_MODE 0
#define | WAVE_MODE 1
#define | CRYSTAL_BALL_MODE 2
#define | SCRUNCH_MODE 3
#define | AMULETTE_MODE 4
#define | WATER_MODE 5
#define | HYPERCOS1_MODE 6
#define | HYPERCOS2_MODE 7
#define | YONLY_MODE 8
#define | SPEEDWAY_MODE 9

## Functions
VisualFX | zoomFilterVisualFXWrapper_create (void)
void | pointFilter (PluginInfo *goomInfo, Pixel *pix1, Color c, float t1, float t2, float t3, float t4, unsigned int cycle)
void | zoomFilterFastRGB (PluginInfo *goomInfo, Pixel *pix1, Pixel *pix2, ZoomFilterData *zf, unsigned int resx, unsigned int resy, int switchIncr, float switchMult)

## Macro Definition Documentation

## ◆ AMULETTE_MODE

#define AMULETTE_MODE 4

## ◆ CRYSTAL_BALL_MODE

#define CRYSTAL_BALL_MODE 2

## ◆ HYPERCOS1_MODE

#define HYPERCOS1_MODE 6

## ◆ HYPERCOS2_MODE

#define HYPERCOS2_MODE 7

## ◆ NORMAL_MODE

#define NORMAL_MODE 0

## ◆ SCRUNCH_MODE

#define SCRUNCH_MODE 3

## ◆ SPEEDWAY_MODE

#define SPEEDWAY_MODE 9

## ◆ WATER_MODE

#define WATER_MODE 5

## ◆ WAVE_MODE

#define WAVE_MODE 1

## ◆ YONLY_MODE

#define YONLY_MODE 8

## Function Documentation

## ◆ pointFilter()

void pointFilter | ( | PluginInfo * | goomInfo,
|  | Pixel * | pix1,
|  | Color | c,
|  | float | t1,
|  | float | t2,
|  | float | t3,
|  | float | t4,
|  | unsigned int | cycle
| ) |  |

References _PLUGIN_INFO::_SIZE_TYPE::height, _PLUGIN_INFO::screen, setPixelRGB(), WHITE, and _PLUGIN_INFO::_SIZE_TYPE::width.

Referenced by goom_update().

## ◆ zoomFilterFastRGB()

void zoomFilterFastRGB | ( | PluginInfo * | goomInfo,
|  | Pixel * | pix1,
|  | Pixel * | pix2,
|  | ZoomFilterData * | zf,
|  | Uint | resx,
|  | Uint | resy,
|  | int | switchIncr,
|  | float | switchMult
| ) |  |

Main work for the dynamic displacement map.

Reads data from pix1, write to pix2.

Useful datas for this FX are stored in ZoomFilterData.

If you think that this is a strange function name, let me say that a long time ago, there has been a slow version and a gray-level only one. Then came these function, fast and workin in RGB colorspace ! nice but it only was applying a zoom to the image. So that is why you have this name, for the nostalgy of the first days of goom when it was just a tiny program writen in Turbo Pascal on my i486...

changement de taille

changement de config

References _ZOOM_FILTER_FX_WRAPPER_DATA::brutD, _ZOOM_FILTER_FX_WRAPPER_DATA::brutS, _ZOOM_FILTER_FX_WRAPPER_DATA::brutT, BUFFPOINTMASK, BUFFPOINTNB, _ZOOM_FILTER_FX_WRAPPER_DATA::buffratio, BVAL, _ZOOM_FILTER_FX_WRAPPER_DATA::enabled_bp, _ZOOM_FILTER_FX_WRAPPER_DATA::firedec, _ZOOM_FILTER_FX_WRAPPER_DATA::freebrutD, _ZOOM_FILTER_FX_WRAPPER_DATA::freebrutS, _ZOOM_FILTER_FX_WRAPPER_DATA::freebrutT, _VISUAL_FX::fx_data, _ZOOM_FILTER_FX_WRAPPER_DATA::general_speed, generateTheWaterFXHorizontalDirectionBuffer(), gint32, _ZOOM_FILTER_FX_WRAPPER_DATA::hPlaneEffect, _ZOOM_FILTER_DATA::hPlaneEffect, _ZOOM_FILTER_FX_WRAPPER_DATA::hypercosEffect, _ZOOM_FILTER_DATA::hypercosEffect, _ZOOM_FILTER_FX_WRAPPER_DATA::interlace_start, makeZoomBufferStripe(), _PLUGIN_INFO::methods, _ZOOM_FILTER_FX_WRAPPER_DATA::middleX, _ZOOM_FILTER_DATA::middleX, _ZOOM_FILTER_FX_WRAPPER_DATA::middleY, _ZOOM_FILTER_DATA::middleY, _ZOOM_FILTER_DATA::mode, _ZOOM_FILTER_FX_WRAPPER_DATA::mustInitBuffers, _ZOOM_FILTER_FX_WRAPPER_DATA::noisify, _ZOOM_FILTER_DATA::noisify, NULL, _ZOOM_FILTER_FX_WRAPPER_DATA::precalCoef, _ZOOM_FILTER_FX_WRAPPER_DATA::prevX, _ZOOM_FILTER_FX_WRAPPER_DATA::prevY, _ZOOM_FILTER_FX_WRAPPER_DATA::reverse, _ZOOM_FILTER_DATA::reverse, _ZOOM_FILTER_FX_WRAPPER_DATA::theMode, _ZOOM_FILTER_DATA::vitesse, _ZOOM_FILTER_FX_WRAPPER_DATA::vPlaneEffect, _ZOOM_FILTER_DATA::vPlaneEffect, _ZOOM_FILTER_FX_WRAPPER_DATA::waveEffect, _ZOOM_FILTER_DATA::waveEffect, _PLUGIN_INFO::zoom_filter, _ZOOM_FILTER_FX_WRAPPER_DATA::zoom_width, and _PLUGIN_INFO::zoomFilter_fx.

Referenced by goom_update().

## ◆ zoomFilterVisualFXWrapper_create()

VisualFX zoomFilterVisualFXWrapper_create | ( | void |  | ) |

References _VISUAL_FX::init, zoomFilterVisualFXWrapper_apply(), zoomFilterVisualFXWrapper_free(), and zoomFilterVisualFXWrapper_init().

Referenced by goom_init().